<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
    py:extends="'master.kid'">
<head>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" py:replace="''"/>
<title>Paginate Demo: User List</title>
</head>
<body>

<p style="float:right"><a href="./">Main Menu</a></p>

<h2>User List</h2>

<p py:if="not count">Nothing here
- please populate the tables first.</p>

<p py:if="count"><b py:for="page in tg.paginate.pages">
<a py:strip="page == tg.paginate.current_page"
    href="${tg.paginate.get_href(page)}" py:content="page"/>
</b></p>

<dl py:if="count">
<div py:for="user in users" py:strip="True">
<dt py:content="user.display_name"/>
<dd>User name: <span py:replace="user.user_name"/>,
Age: <span py:replace="user.age"/>,
Email: <span py:replace="user.email_address"/>,
<?python
groups = [group.group_name for group in user.groups[:4]]
if len(groups) > 3: groups[3] = '...'
groups = ', '.join(groups) ?>
Groups: <span py:replace="groups"/></dd>
</div>
</dl>

</body>
</html>
